<div [ngClass]="{dark: darkMode}" class="container">
	<header class="header">
		<img class="tanuki" src="assets/gitlab-tanuki-logo.svg" alt="">
		<h1 class="title">ipsum</h1>
		<button class="btn--darkmode" (click)="toggleColorMode()"><span class="disc"></span>Toggle Darkmode</button>
	</header>

	<main>
		<app-text-generator></app-text-generator>
	</main>

	<footer class="wrap footer">
		<p>Found a bug? <a href="https://gitlab.com/gitlab-com/gitlab-ux/ux-foundations/gitlabipsum/issues" target="_blank">Submit an issue</a>.
		<p>Your contributions are welcome! <a href="https://gitlab.com/gitlab-com/gitlab-ux/ux-foundations/gitlabipsum/" target="_blank">Send us a merge request</a>.
		</p>
	</footer>
</div>
